Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.logger
Class AgentLogger

    java.lang.Object
      com.rsa.authagent.authapi.logger.AbstractLogger
          com.rsa.authagent.authapi.logger.AgentLogger

    public class AgentLogger

extends AbstractLogger

General purpose logger for logging messages.

Field Summary

Fields inherited from class com.rsa.authagent.authapi.logger.AbstractLogger
`LOG_DEBUG, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_OFF, LOG_WARN, RSA_LOG_DEBUG, RSA_LOG_ERROR, RSA_LOG_FATAL, RSA_LOG_INFO, RSA_LOG_OFF, RSA_LOG_WARN`

Method Summary
`static void` | `addOutput(LoggerOutput output)`
`static void` | `error(java.lang.String szMsg)` Logs an ERROR level message string.
`static void` | `fatal(java.lang.String szMsg)` Logs a FATAL level message string.
`static int` | `getLogLevel()` Returns the current severity level allowed in the logger.
`static void` | `info(java.lang.String szMsg)` Logs an INFO level message string.
`static void` | `loadAgentProperties()` Reloads configuration parameters from the default and System properties.
`static void` | `loadAgentProperties(AgentProperties agProps)`
`static void` | `log(int iLevel, int idMsg)` Logs a message identified by a Message ID and specified by a severity level.
`static void` | `log(int iLevel, java.lang.String szMsg)` Logs a message string specified by a severity level.
`static void` | `removeAllOutputs()`
`static void` | `setLogLevel(int iLevel)` Sets up the minimum severity level allowed in the logger.
`static void` | `warn(java.lang.String szMsg)` Logs a WARN level message string.

Methods inherited from class com.rsa.authagent.authapi.logger.AbstractLogger
`removeAllOutputs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogLevel

    public static int getLogLevel()

  Returns the current severity level allowed in the logger.

  Returns:
    the current level.
  See Also:
    `setLogLevel(int)`

### setLogLevel

    public static void setLogLevel(int iLevel)

  Sets up the minimum severity level allowed in the logger. Only messages that contain a severity level equal to or higher than the set level will be logged.

  Parameters:
    `minLogLevel` - the level.
  See Also:
    `AbstractLogger.RSA_LOG_OFF`, `AbstractLogger.RSA_LOG_DEBUG`, `AbstractLogger.RSA_LOG_INFO`, `AbstractLogger.RSA_LOG_WARN`, `AbstractLogger.RSA_LOG_ERROR`, `AbstractLogger.RSA_LOG_FATAL`

### addOutput

    public static void addOutput(LoggerOutput output)

  See Also:
    `AbstractLogger.addOutput(com.rsa.authagent.authapi.logger.LoggerOutput)`

### info

    public static void info(java.lang.String szMsg)

  Logs an INFO level message string.

  Parameters:
    `szMsg` - the message string.

### warn

    public static void warn(java.lang.String szMsg)

  Logs a WARN level message string.

  Parameters:
    `szMsg` - the message string.

### error

    public static void error(java.lang.String szMsg)

  Logs an ERROR level message string.

  Parameters:
    `szMsg` - the message string.

### fatal

    public static void fatal(java.lang.String szMsg)

  Logs a FATAL level message string.

  Parameters:
    `szMsg` - the message string.

### log

    public static void log(int iLevel,
                           java.lang.String szMsg)

  Logs a message string specified by a severity level.

  Parameters:
    `logLevel` - the severity level of the message.
    `szMsg` - the message string.
  See Also:
    `AbstractLogger.RSA_LOG_DEBUG`, `AbstractLogger.RSA_LOG_INFO`, `AbstractLogger.RSA_LOG_WARN`, `AbstractLogger.RSA_LOG_ERROR`, `AbstractLogger.RSA_LOG_FATAL`

### log

    public static void log(int iLevel,
                           int idMsg)

  Logs a message identified by a Message ID and specified by a severity level.

  Parameters:
    `logLevel` - the severity level of the message.
    `idMsg` - the message id.
  See Also:
    `AbstractLogger.RSA_LOG_DEBUG`, `AbstractLogger.RSA_LOG_INFO`, `AbstractLogger.RSA_LOG_WARN`, `AbstractLogger.RSA_LOG_ERROR`, `AbstractLogger.RSA_LOG_FATAL`

### removeAllOutputs

    public static void removeAllOutputs()

  See Also:
    `AbstractLogger.removeAllOutputs(Logger)`

### loadAgentProperties

    public static void loadAgentProperties()

  Reloads configuration parameters from the default and System properties.

### loadAgentProperties

    public static void loadAgentProperties(AgentProperties agProps)

  See Also:
    `com.rsa.authagent.authapi.logger.AbstractLogger#loadAgentProperties(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.